# Top TLDs of the Last 30 Days

Top 10 TLDs of the last 30 days: .com (3,727,266), .xyz (908,281) and .cn lead.

Source: https://docs.deepinfo.com/reference/domain-intelligence/tld-stats/examples/interval-30/

Last updated: 2026-09-24

---
`GET https://api.deepinfo.com/v1/explorer/domain-intelligence/tld-stats?interval=30`

Top 10 TLDs of the last 30 days: .com (3,727,266), .xyz (908,281) and .cn lead.

Example 4 of 6 · [TLD Stats Examples](/reference/domain-intelligence/tld-stats/examples/) · endpoint: [TLD Stats](/reference/domain-intelligence/tld-stats/)

Tags: `param` `interval` · `value` `30`

Asks for the top TLDs of the last 30 days (`interval=30`).

`com` has 3,727,266 new domains and `xyz` 908,281; `cn`, `top`, `online`, `net`, `org`, `cc`, `site` and `uk` follow.

## Request

| Parameter | In | Value |
|---|---|---|
| `interval` | query | `30` |

```bash
curl 'https://api.deepinfo.com/v1/explorer/domain-intelligence/tld-stats?interval=30' \
  -H 'apikey: YOUR_API_KEY' \
  -H 'Accept: application/json'
```

## Response

### 200 · OK

`Content-Type: application/json` · `ratelimit-limit: 60` · `ratelimit-remaining: 46` · `ratelimit-reset: 24` · `x-ratelimit-limit-minute: 60` · `x-ratelimit-remaining-minute: 46` · `deepinfo-request-id: 5f0c6a8e-1b2d-4c3e-9f4a-7b8c9d0e1f2a`

```json
[
  {
    "tld": "com",
    "count": 3727266
  },
  {
    "tld": "xyz",
    "count": 908281
  },
  {
    "tld": "cn",
    "count": 520371
  },
  {
    "tld": "top",
    "count": 430889
  },
  {
    "tld": "online",
    "count": 248673
  },
  {
    "tld": "net",
    "count": 209319
  },
  {
    "tld": "org",
    "count": 194539
  },
  {
    "tld": "cc",
    "count": 159993
  },
  {
    "tld": "site",
    "count": 156907
  },
  {
    "tld": "uk",
    "count": 133459
  }
]
```

## Related Examples

- [Top TLDs of the Last 7 Days](/reference/domain-intelligence/tld-stats/examples/interval-7/)
- [Top TLDs of the Last Year](/reference/domain-intelligence/tld-stats/examples/interval-365/)
- [Top TLDs of the Last Day](/reference/domain-intelligence/tld-stats/examples/interval-1/)
- [Top 100 TLDs of the Last 7 Days](/reference/domain-intelligence/tld-stats/examples/size-100/)
